Skip to main content
GET
/
v1
/
api-keys
List API keys for owner context
curl --request GET \
  --url https://api.suprlogs.com/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "apiKeys": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "key_prefix": "<string>",
      "owner_type": "user",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scope_mode": "all_projects",
      "project_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "is_active": true,
      "usage_count": 123,
      "last_used_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send API key as Authorization: Bearer .

Query Parameters

ownerType
enum<string>
required
Available options:
user,
org
clerkOwnerId
string
required

Response

API key metadata list.

apiKeys
object[]